Extending Qt Creator Manual | MacroArgumentReference

Extending Qt Creator Manual 4.5.2

# MacroArgumentReference Class

(CPlusPlus::MacroArgumentReference)

- List of all members, including inherited members

## Public Functions

| MacroArgumentReference(unsigned bytesOffset = 0, unsigned bytesLength = 0, unsigned utf16charsOffset = 0, unsigned utf16charsLength = 0)
unsigned | bytesLength() const
unsigned | bytesOffset() const
unsigned | utf16charsLength() const
unsigned | utf16charsOffset() const

## Member Function Documentation

### MacroArgumentReference::MacroArgumentReference(unsigned bytesOffset = 0, unsigned bytesLength = 0, unsigned utf16charsOffset = 0, unsigned utf16charsLength = 0)

Default constructs an instance of MacroArgumentReference.

### unsigned MacroArgumentReference::bytesLength() const

### unsigned MacroArgumentReference::bytesOffset() const

### unsigned MacroArgumentReference::utf16charsLength() const

### unsigned MacroArgumentReference::utf16charsOffset() const